MaillyDocs

Campaign details (funnel, report, and audience snapshot)

GET
/campaigns/{campaignKey}

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

campaignKey*string

campaign stable key

Response Body

Campaign details

application/json
  1. response
success*boolean
campaign*
recipientCounts*
deliveryCounts*
openedCount*number
report*|null
audienceSnapshot*|null
[key: string]?unknown
curl -X GET 'https://api.mailly.site/campaigns/string'
{  "success": true,  "campaign": {    "property1": null,    "property2": null  },  "recipientCounts": {    "property1": 0,    "property2": 0  },  "deliveryCounts": {    "property1": 0,    "property2": 0  },  "openedCount": 0,  "report": {    "property1": null,    "property2": null  },  "audienceSnapshot": {    "property1": null,    "property2": null  },  "property1": null,  "property2": null}